=== debian/changelog ===
tyxml (2.0-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 17:00:11 +0000

tyxml (2.0-1build1) precise; urgency=low

  * Rebuild for new OCaml library ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 21:05:16 +0000

tyxml (2.0-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Sep 2011 21:11:08 +0200

tyxml (2.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Create new runtime binary package libtyxml-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Aug 2011 18:50:07 +0200

tyxml (1.91-1) unstable; urgency=low

  * Initial release (Closes: #633953)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Jul 2011 14:34:52 +0200
