=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://ocsigen.org/tyxml/install .*/tyxml-(.*)\.tar\.gz
