=== debian/changelog ===
tyxml (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 07:08:13 +0100
