=== debian/control ===
Source: tyxml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 camlp4-extra,
 libocamlnet-ocaml-dev,
 ocamlduce,
 ocaml-nox
Standards-Version: 3.9.2
Section: ocaml
Homepage: http://ocsigen.org/tyxml
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tyxml.git

Package: libtyxml-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: typed XML in OCaml (development files)
 TyXML allows one to build XML trees whose validity is ensured by the
 typechecker. It's based on a translation of XML types into polymorphic
 variants, originally written by Thorsten Ohl. Currently, the
 transcription has been done for XHTML 1.0 and 1.1, HTML5 and SVG
 (partial).
 .
 TyXML also provides a generic printer and some low-level (and
 untyped) iterators over XML trees. The printer has options for
 printing XHTML in more browser-friendly way when served as
 "text/html" (instead of "text/xml"). HTML5 is always printed with
 those options.
 .
 All modules provided by TyXML are also provided in functorial
 interface, where every module is parameterised by the underlying XML
 representation.
 .
 A camlp4 extension, named Pa_tyxml, allows one to write HTML pages or
 HTML fragments with the usual syntax.
 .
 This package contains the development files needed to use TyXML.

Package: libtyxml-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: typed XML in OCaml (plugins)
 TyXML allows one to build XML trees whose validity is ensured by the
 typechecker. It's based on a translation of XML types into polymorphic
 variants, originally written by Thorsten Ohl. Currently, the
 transcription has been done for XHTML 1.0 and 1.1, HTML5 and SVG
 (partial).
 .
 TyXML also provides a generic printer and some low-level (and
 untyped) iterators over XML trees. The printer has options for
 printing XHTML in more browser-friendly way when served as
 "text/html" (instead of "text/xml"). HTML5 is always printed with
 those options.
 .
 All modules provided by TyXML are also provided in functorial
 interface, where every module is parameterised by the underlying XML
 representation.
 .
 A camlp4 extension, named Pa_tyxml, allows one to write HTML pages or
 HTML fragments with the usual syntax.
 .
 This package contains dynamically loadable modules for plugins.

Package: libtyxml-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: typed XML in OCaml (documentation)
 TyXML allows one to build XML trees whose validity is ensured by the
 typechecker. It's based on a translation of XML types into polymorphic
 variants, originally written by Thorsten Ohl. Currently, the
 transcription has been done for XHTML 1.0 and 1.1, HTML5 and SVG
 (partial).
 .
 TyXML also provides a generic printer and some low-level (and
 untyped) iterators over XML trees. The printer has options for
 printing XHTML in more browser-friendly way when served as
 "text/html" (instead of "text/xml"). HTML5 is always printed with
 those options.
 .
 All modules provided by TyXML are also provided in functorial
 interface, where every module is parameterised by the underlying XML
 representation.
 .
 A camlp4 extension, named Pa_tyxml, allows one to write HTML pages or
 HTML fragments with the usual syntax.
 .
 This package contains the documentation of TyXML.
