## tyxml 2.0.1c

=== lib/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 byte:: ${LIBNAME}.cma ${LIBNAME}_f.cma
 opt:: ${LIBNAME}.cmxa ${LIBNAME}_f.cmxa
-ifeq "${NATDYNLINK}" "YES"
+ifeq "${NATDYNLINK}" "yes"
 opt:: ${LIBNAME}.cmxs ${LIBNAME}_f.cmxs
 endif
 
@@ -47,10 +47,10 @@
 
 ##########
 
-ifeq "${OCAMLDUCE}" "YES"
+ifeq "${OCAMLDUCE}" "yes"
 byte:: ${LIBNAME}_duce.cma
 opt:: ${LIBNAME}_duce.cmxa
-ifeq "${NATDYNLINK}" "YES"
+ifeq "${NATDYNLINK}" "yes"
 opt:: ${LIBNAME}_duce.cmxs
 endif
 endif
@@ -87,7 +87,7 @@
 depend:
 	$(OCAMLDEP) $(filter-out ${DUCE_INTF}, ${wildcard *.mli}) > .depend
 	$(OCAMLDEP) $(filter-out ${DUCE_FILES}, ${wildcard *.ml}) >> .depend
-ifeq "${OCAMLDUCE}" "YES"
+ifeq "${OCAMLDUCE}" "yes"
 	${OCAMLDUCEDEP} ${DUCE_FILES} ${DUCE_INTF} >> .depend
 endif
