=== syntax/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 byte: pa_${LIBNAME}.cmi pa_${LIBNAME}.cmo xmllexer.cmo simplexmlparser.cmo
 opt:: xmllexer.cmx simplexmlparser.cmx
-ifeq "${NATDYNLINK}" "YES"
+ifeq "${NATDYNLINK}" "yes"
 opt:: xmllexer.cmxs simplexmlparser.cmxs
 endif
