=== debian/changelog ===
tyxml (2.0.1c-1) unstable; urgency=low

  * New upstream release
    - add Fix-typo-causing-FTBFS-with-ocamlduce.patch
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 13:33:01 +0100
