## tyxml 2.0.2

=== debian/changelog ===
tyxml (2.0.2-1) unstable; urgency=low

  * New upstream release
    - remove patch (merged upstream)
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 10:14:33 +0100
