=== debian/changelog ===
tyxml (2.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Jun 2012 07:45:24 +0200
