=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libocamlnet-ocaml-dev,
  ocamlduce,
  ocaml-nox
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git
