=== lib/Makefile ===
--- 
+++ 
@@ -17,12 +17,12 @@
 
 # SYNTAX := -ppopt ../syntax/pa_include.cmo -package camlp4 -syntax camlp4o
 
-OCAMLC   := $(OCAMLFIND) ocamlc ${SYNTAX}
-OCAMLOPT := $(OCAMLFIND) ocamlopt ${SYNTAX}
+OCAMLC   := $(OCAMLFIND) ocamlc ${DBG} ${SYNTAX}
+OCAMLOPT := $(OCAMLFIND) ocamlopt ${DBG} ${SYNTAX}
 OCAMLDEP := $(OCAMLFIND) ocamldep ${SYNTAX}
 
-OCAMLDUCEC   := ${OCAMLDUCEFIND} ocamlc${BYTEDBG} -thread
-OCAMLDUCEOPT := ${OCAMLDUCEFIND} ocamlopt ${OPTDBG} -thread
+OCAMLDUCEC   := ${OCAMLDUCEFIND} ocamlc ${DBG} -thread
+OCAMLDUCEOPT := ${OCAMLDUCEFIND} ocamlopt ${DBG} -thread
 OCAMLDUCEDEP := ${OCAMLDUCEFIND} ocamldep
 
 all: byte opt
