=== debian/changelog ===
tyxml (2.2.0-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:33:41 +0100

tyxml (2.2.0-3) experimental; urgency=low

  * Fix compilation with ocamlnet >= 3.6.5 (netstring-pcre)
  * Disable ocamlduce support
  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 02:13:22 +0100

tyxml (2.2.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 23:16:00 +0200

tyxml (2.2.0-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 20:27:37 +0100
