=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
- ocaml-findlib,
- camlp4-extra,
- libocamlnet-ocaml-dev,
- ocamlduce,
- ocaml-nox
-Standards-Version: 3.9.3
+ ocaml-findlib (>= 1.4),
+ camlp4-extra (>= 4.01),
+ libocamlnet-ocaml-dev (>= 3.7),
+ ocaml-nox (>= 4.01)
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git
