=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  BUILD_TARGET := byte opt
  INSTALL_TARGET := install
else
  BUILD_TARGET := byte
  INSTALL_TARGET := install-byte
endif

ifeq ($(OCAML_NATDYNLINK),yes)
  MAKE_EXTRA_VARS :=
else
  MAKE_EXTRA_VARS := NATDYNLINK=NO
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_EXTRA_VARS) $(BUILD_TARGET)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) $(MAKE_EXTRA_VARS) $(INSTALL_TARGET)
ifneq ($(findstring libtyxml-ocaml-doc,$(shell dh_listpackages)),)
	$(MAKE) $(MAKE_EXTRA_VARS) doc
endif

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing
