=== lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 include ../Makefile.config
 -include ../Makefile.local
 
-FILES_F := xml_iter.ml   \
+FILES_F := xml_wrap.ml   \
+	   xml_iter.ml   \
 	   xml_print.ml  \
 	   xhtml_f.ml    \
 	   svg_f.ml      \
@@ -13,11 +14,15 @@
 
 DUCE_FILES := xml_print_duce.ml xhtml_duce.ml
 
-LIBS     := -package netstring
+LIBS     :=
+
+ifeq ($(HAVE_OCAML4), yes)
+ANNOT := -annot -bin-annot
+endif
 
 # SYNTAX := -ppopt ../syntax/pa_include.cmo -package camlp4 -syntax camlp4o
 
-OCAMLC   := $(OCAMLFIND) ocamlc ${DBG} ${SYNTAX}
+OCAMLC   := $(OCAMLFIND) ocamlc $(ANNOT) ${DBG} ${SYNTAX}
 OCAMLOPT := $(OCAMLFIND) ocamlopt ${DBG} ${SYNTAX}
 OCAMLDEP := $(OCAMLFIND) ocamldep ${SYNTAX}
