=== debian/changelog ===
tyxml (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 May 2014 17:58:57 +0200
