=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  camlp4-extra (>= 4.01),
  libocamlnet-ocaml-dev (>= 3.7),
  ocaml-nox (>= 4.01)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tyxml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/tyxml.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/tyxml.git
 
 Package: libtyxml-ocaml-dev
 Architecture: any
