=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	make setup.exe
	./setup.exe -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libtyxml-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	./setup.exe -build
	./setup.exe -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	./setup.exe -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	./setup.exe -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	if [ -x setup.exe ]; then ./setup.exe -distclean; fi
