=== debian/changelog ===
tyxml (3.5.0-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:41:45 +0200

tyxml (3.5.0-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 18:03:53 +0200

tyxml (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on camlp4 instead of camlp4-extrac
  * Add libuutf-ocaml-dev to Build-Depends
  * Adapt d/rules to upstream's new build system
  * Do not install .ml files, .mli are provided
  * Install tyxml_tools.cm{a,xs} in libtyxml-ocaml
  * Install *.cmt{,i} and *.annot in libtyxml-ocaml-dev

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 11:30:32 +0200

tyxml (3.0.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Drop versioned dependency for camlp4-extra

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 21:36:54 +0200
