=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
  ocaml-findlib (>= 1.4),
- camlp4-extra (>= 4.01),
+ camlp4,
  libocamlnet-ocaml-dev (>= 3.7),
+ libuutf-ocaml-dev,
+ ocamlbuild,
  ocaml-nox (>= 4.01)
 Standards-Version: 3.9.5
 Section: ocaml
