=== debian/changelog ===
tyxml (4.1.0-1) unstable; urgency=medium

  * Team upload

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9
  * This version requires uutf >= 1.0.1-2~

  [ Mehdi Dogguy ]
  * This version requires re as a Build-Dependency
  * Add libppx-tools-ocaml-dev to build dependencies
  * Patch various files to remove uchar as a dependency
  * Disable building ppx files since markup is not packaged yet
  * Disable Markup temporarily using a patch
  * Fix docdir given to configure script
  * Update .install files
  * List missing files but not fail, in d/rules
  * Add ocamlbuild as a build dependency

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 21 May 2018 17:37:32 +0200
