=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
+ ocamlbuild,
  ocaml-findlib (>= 1.4),
  camlp4,
  libocamlnet-ocaml-dev (>= 3.7),
- libuutf-ocaml-dev,
- ocamlbuild,
+ libuutf-ocaml-dev (>= 1.0.1-2~),
+ libre-ocaml-dev,
+ libppx-tools-ocaml-dev,
  ocaml-nox (>= 4.01)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/tyxml.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/tyxml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/tyxml
+Vcs-Git: https://salsa.debian.org/ocaml-team/tyxml.git
 
 Package: libtyxml-ocaml-dev
 Architecture: any
