=== debian/watch ===
version=3
https://github.com/ocsigen/tyxml/tags/ .*/([\d\.+]+)\.tar\.gz
