=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-ocaml (>= 0.9),
- ocamlbuild,
- ocaml-findlib (>= 1.4),
- camlp4,
- libocamlnet-ocaml-dev (>= 3.7),
- libuutf-ocaml-dev (>= 1.0.1-2~),
+ debhelper-compat (= 12),
+ libuchar-ocaml-dev,
+ libseq-ocaml-dev,
+ libuutf-ocaml-dev,
  libre-ocaml-dev,
- libppx-tools-ocaml-dev,
- ocaml-nox (>= 4.01)
-Standards-Version: 3.9.8
+ ocaml-nox,
+ ocaml-dune,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/tyxml
