=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p tyxml

override_dh_auto_test:
# Needs alcotest

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) tyxml
	rm -f $(DESTDIR)/usr/doc/tyxml/LICENSE

override_dh_missing:
	dh_missing --fail-missing
