=== debian/changelog ===
tyxml (4.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2020 09:36:19 +0200
