=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) tyxml
 	rm -f $(DESTDIR)/usr/doc/tyxml/LICENSE
-
-override_dh_missing:
-	dh_missing --fail-missing
