=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: tyxml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -8,13 +9,14 @@
  libseq-ocaml-dev,
  libuutf-ocaml-dev,
  libre-ocaml-dev,
- ocaml-nox,
+ ocaml,
  ocaml-dune,
- dh-ocaml
-Standards-Version: 4.5.0
+ libalcotest-ocaml-dev <!nocheck>,
+ dh-ocaml (>= 1.2.1)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://ocsigen.org/tyxml
+Homepage: https://ocsigen.org/tyxml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/tyxml
 Vcs-Git: https://salsa.debian.org/ocaml-team/tyxml.git
 
@@ -82,6 +84,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: typed XML in OCaml (documentation)
  TyXML allows one to build XML trees whose validity is ensured by the
  typechecker. It's based on a translation of XML types into polymorphic
