## tyxml 4.6.0

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,25 @@
 doc:
 	dune build @doc
 
-.PHONY: doc-api-wiki
-wikidoc: build
-	make -C doc wikidoc
+# WIKIDOC stuff
+# Should have wikidoc installed with
+# opam pin add https://github.com/ocsigen/wikidoc.git
+
+DOCDIR=_wikidoc
+
+$(DOCDIR)/.git:
+	mkdir -p $(DOCDIR)
+	cd $(DOCDIR) && (\
+		git clone -b wikidoc git@github.com:ocsigen/tyxml.git . \
+	)
+
+.PHONY: doc wikidoc
+wikidoc: build $(DOCDIR)/.git
+	make -C docs wikidoc; exit 0
+	rm -rf _wikidoc/docs/dev/*
+	cp -r docs/api/wiki _wikidoc/docs/dev/api/
+	cp -r docs/manual-wiki _wikidoc/docs/dev/manual
+	git -C $(DOCDIR) add --all 
+	git -C $(DOCDIR) commit -a -m "wikidoc updates"
+	git -C $(DOCDIR) push origin wikidoc
+
